PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.1 »
- SDSS Spectroscopic Data (`pydl.pydlspec2d`) »
- template_qso

# template_qso

pydl.pydlspec2d.spec1d.template_qso(metadata, newflux, newivar, verbose=False)

  Run PCA or HMF on QSO spectra.

  Historically, QSO templates were comptuted one at a time instead of all at once.

  Parameters:
    metadata `dict`

      Dictionary containing metadata about the spectra.

    newflux `ndarray`

      Flux shifted onto common wavelength.

    newivar `ndarray`

      Inverse variances of the fluxes.

    verbose `bool`, optional

      If `True`, print lots of extra information.

  Returns:
    `dict`

      A dictonary containing flux, eigenvalues, etc.